Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model
Class SearchResult

    java.lang.Object
      org.fourthline.cling.support.model.SearchResult

    public class SearchResult

extends Object

Author:
  TK Kocheran <rfkrocktk@gmail.com>

Field Summary
`protected UnsignedIntegerFourBytes` | `containerUpdateID`
`protected UnsignedIntegerFourBytes` | `count`
`protected String` | `result`
`protected UnsignedIntegerFourBytes` | `totalMatches`

Constructor Summary
`SearchResult(String result, long count, long totalMatches)`
`SearchResult(String result, long count, long totalMatches, long updateID)`
`SearchResult(String result, UnsignedIntegerFourBytes count, UnsignedIntegerFourBytes totalMatches, UnsignedIntegerFourBytes containerUpdateID)`

Method Summary
`UnsignedIntegerFourBytes` | `getContainerUpdateID()`
`long` | `getContainerUpdateIDLong()`
`UnsignedIntegerFourBytes` | `getCount()`
`long` | `getCountLong()`
`String` | `getResult()`
`UnsignedIntegerFourBytes` | `getTotalMatches()`
`long` | `getTotalMatchesLong()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    protected String result

### count

    protected UnsignedIntegerFourBytes count

### totalMatches

    protected UnsignedIntegerFourBytes totalMatches

### containerUpdateID

    protected UnsignedIntegerFourBytes containerUpdateID

Constructor Detail

### SearchResult

    public SearchResult(String result,
                        UnsignedIntegerFourBytes count,
                        UnsignedIntegerFourBytes totalMatches,
                        UnsignedIntegerFourBytes containerUpdateID)

### SearchResult

    public SearchResult(String result,
                        long count,
                        long totalMatches)

### SearchResult

    public SearchResult(String result,
                        long count,
                        long totalMatches,
                        long updateID)

Method Detail

### getResult

    public String getResult()

### getCount

    public UnsignedIntegerFourBytes getCount()

### getCountLong

    public long getCountLong()

### getTotalMatches

    public UnsignedIntegerFourBytes getTotalMatches()

### getTotalMatchesLong

    public long getTotalMatchesLong()

### getContainerUpdateID

    public UnsignedIntegerFourBytes getContainerUpdateID()

### getContainerUpdateIDLong

    public long getContainerUpdateIDLong()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.